tigase.server.script

## Class RemoveScriptCommand

- java.lang.Object
- - tigase.server.script.AbstractScriptCommand
  - - tigase.server.script.RemoveScriptCommand

- All Implemented Interfaces:
    CommandIfc

      public class RemoveScriptCommand
      extends AbstractScriptCommand

  Created: Jan 2, 2009 2:30:41 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    - ### Fields inherited from class tigase.server.script.AbstractScriptCommand

      `lineCommentStart`

    - ### Fields inherited from interface tigase.server.script.CommandIfc

      `ADD_SCRIPT_CMD, ADMINS_SET, ADMN_CMDS, ADMN_DISC, AUTH_REPO, COMMAND_ID, COMMANDS_ACL, COMPONENT_NAME, DEL_SCRIPT_CMD, DESCRIPT, LANGUAGE, PACKET, SAVE_TO_DISK, SCRI_MANA, SCRIPT_BASE_DIR, SCRIPT_COMP_DIR, SCRIPT_COMPONENT, SCRIPT_DESCRIPTION, SCRIPT_ID, SCRIPT_RESULT, SCRIPT_TEXT, SERVICES_MAP, USER_CONN, USER_REPO, USER_SESS, VHOST_MANAGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveScriptCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bindings` | `getBindings()` Method description
    `void` | `runCommand(Iq packet, Bindings binds, Queue<Packet> results)`

    - ### Methods inherited from class tigase.server.script.AbstractScriptCommand

      `getCommandId, getDescription, init, isAdminOnly, isEmpty, setAdminOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoveScriptCommand

          public RemoveScriptCommand()

  - ### Method Detail

    - #### runCommand

          public void runCommand(Iq packet,
                        Bindings binds,
                        Queue<Packet> results)

    - #### getBindings

          public Bindings getBindings()

      Description copied from interface: `CommandIfc`
      Method description
      Returns:

Copyright © 2013 Tigase. All rights reserved.